#ifndef PV_BS_H
#define PV_BS_H

#include <pv_types.h>

int	pv_bs_init	(struct pv_engine	*engine,
			 enum pv_bs_store_type	store_type,
			 const char		*store_filename,
			 size_t			size);

int	pv_bs_destroy	(struct pv_engine	*engine);


void	pv_bs_flush	(struct pv_engine	*engine,
			 void			*ptr,
			 size_t			len);

void	pv_bs_flush_all	(struct pv_engine	*engine);


#endif	/* !PV_BS_H */
